# Seamless Wallet response statuses - Operator API

As a part of the Wallet API, the following response status codes need to be implemented by the Operator, to respond to Hub88 requests.&#x20;

| Status Code                           | Description                                                                                                                                                                                                                                                                                                                                                                |
| ------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `RS_OK`                               | Successful response. The request has been accepted and processed without any errors.                                                                                                                                                                                                                                                                                       |
| `RS_ERROR_UNKNOWN`                    | General error status, for cases without a special error code.                                                                                                                                                                                                                                                                                                              |
| `RS_ERROR_INVALID_PARTNER`            | Operator or their `sub_partner` is disabled or incorrect `sub_partner_id` is sent.                                                                                                                                                                                                                                                                                         |
| `RS_ERROR_INVALID_TOKEN`              | <p>Token is <strong>unknown</strong> to Operator's system. <br>Note that there is a different status for expired tokens.</p>                                                                                                                                                                                                                                               |
| `RS_ERROR_INVALID_GAME`               | <p>Unknown <code>game\_code</code>. <br><br>NB! In case of game Suppliers with game lobby (Live Dealers), user can switch games within one game session. Such changes are tracked and a corresponding <code>game\_code</code> is sent to specify, which game the user is currently playing. <code>game\_code</code> may change multiple times within one game session.</p> |
| `RS_ERROR_WRONG_CURRENCY`             | The transaction currency is different from user's wallet currency.                                                                                                                                                                                                                                                                                                         |
| `RS_ERROR_NOT_ENOUGH_MONEY`           | Not enough money on User's balance to place a bet. Please send the actual balance together with this status.                                                                                                                                                                                                                                                               |
| `RS_ERROR_USER_DISABLED`              | The user is disabled or locked and can't place any new bets.                                                                                                                                                                                                                                                                                                               |
| `RS_ERROR_INVALID_SIGNATURE`          | The Operator couldn't verify signature on request from Hub88.                                                                                                                                                                                                                                                                                                              |
| `RS_ERROR_TOKEN_EXPIRED`              | <p>The session with the specified token has expired. <br><br><strong>NB! Token validity must not be validated in case of wins and rollbacks, since they might come after the bet has been played.</strong></p>                                                                                                                                                             |
| `RS_ERROR_WRONG_SYNTAX`               | The received request doesn't match expected request form and/or syntax.                                                                                                                                                                                                                                                                                                    |
| `RS_ERROR_WRONG_TYPES`                | The type of parameters in the request body don't match expected types.                                                                                                                                                                                                                                                                                                     |
| `RS_ERROR_DUPLICATE_TRANSACTION`      | A transaction with same `transaction_uuid` was sent, but there was a different reference `transactionID`, `amount`, `currency`, `round`, `user` or `game`.                                                                                                                                                                                                                 |
| `RS_ERROR_TRANSACTION_DOES_NOT_EXIST` | Returned when the bet referenced in win request can't be found on Operator's side (wasn't processed or was rolled back).                                                                                                                                                                                                                                                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hub88.io/developer-docs/operator-api-reference/operator-api-overview/seamless-wallet-response-statuses-operator-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
